Page MenuHomePhabricator

[VPlan] Move VPWidenSelectRecipe::execute to VPlanRecipes.cpp (NFC).
ClosedPublic

Authored by fhahn on Jun 16 2022, 7:42 AM.

Diff Detail

Event Timeline

fhahn created this revision.Jun 16 2022, 7:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2022, 7:42 AM
fhahn requested review of this revision.Jun 16 2022, 7:42 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2022, 7:42 AM
Herald added a subscriber: vkmr. · View Herald Transcript
Ayal accepted this revision.Jun 26 2022, 2:19 PM

Ship it!

llvm/lib/Transforms/Vectorize/VPlanRecipes.cpp
440

nit: extra space between invariant but.

This revision is now accepted and ready to land.Jun 26 2022, 2:19 PM
fhahn updated this revision to Diff 442040.Jul 4 2022, 2:39 AM

Rebase after recent changes

This revision was landed with ongoing or failed builds.Jul 8 2022, 9:35 AM
This revision was automatically updated to reflect the committed changes.
fhahn marked an inline comment as done.
fhahn added inline comments.Jul 8 2022, 9:35 AM
llvm/lib/Transforms/Vectorize/VPlanRecipes.cpp
440

Thanks, that should be fixed in the committed version.